/*
 * Copyright The Asahi Linux Contributors
 * SPDX-License-Identifier: MIT
 *
 * Autogenerated file, do not edit
 */
#include "compiler/nir/nir_builder.h"

static inline nir_def *
libagx_vertex_id_for_topology(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4, nir_def *arg5)
{
   assert(arg1->bit_size == 32);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 1);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 32);
   assert(arg4->num_components == 1);

   assert(arg5->bit_size == 32);
   assert(arg5->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_vertex_id_for_topology");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_vertex_id_for_topology");
      func->num_params = 6;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 32;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 1;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 32;
      func->params[4].num_components = 1;

      func->params[5].bit_size = 32;
      func->params[5].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3, arg4, arg5);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_setup_xfb_buffer(nir_builder *b, nir_def *arg1, nir_def *arg2)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_setup_xfb_buffer");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_setup_xfb_buffer");
      func->num_params = 3;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2);

   return nir_load_deref(b, deref);
}

static inline void
libagx_end_primitive(nir_builder *b, nir_def *arg0, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4, nir_def *arg5)
{
   assert(arg0->bit_size == 64);
   assert(arg0->num_components == 1);

   assert(arg1->bit_size == 32);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 32);
   assert(arg4->num_components == 1);

   assert(arg5->bit_size == 32);
   assert(arg5->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_end_primitive");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_end_primitive");
      func->num_params = 6;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 32;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 32;
      func->params[4].num_components = 1;

      func->params[5].bit_size = 32;
      func->params[5].num_components = 1;
   }

   nir_call(b, func, arg0, arg1, arg2, arg3, arg4, arg5);
}

static inline void
libagx_build_gs_draw(nir_builder *b, nir_def *arg0, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4)
{
   assert(arg0->bit_size == 64);
   assert(arg0->num_components == 1);

   assert(arg1->bit_size == 1);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 32);
   assert(arg4->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_build_gs_draw");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_build_gs_draw");
      func->num_params = 5;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 1;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 32;
      func->params[4].num_components = 1;
   }

   nir_call(b, func, arg0, arg1, arg2, arg3, arg4);
}

static inline void
libagx_gs_setup_indirect(nir_builder *b, nir_def *arg0, nir_def *arg1)
{
   assert(arg0->bit_size == 64);
   assert(arg0->num_components == 1);

   assert(arg1->bit_size == 32);
   assert(arg1->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_gs_setup_indirect");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_gs_setup_indirect");
      func->num_params = 2;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 32;
      func->params[1].num_components = 1;
   }

   nir_call(b, func, arg0, arg1);
}

static inline void
libagx_prefix_sum(nir_builder *b, nir_def *arg0, nir_def *arg1, nir_def *arg2, nir_def *arg3)
{
   assert(arg0->bit_size == 64);
   assert(arg0->num_components == 1);

   assert(arg1->bit_size == 32);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 2);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_prefix_sum");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_prefix_sum");
      func->num_params = 4;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 32;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 2;
   }

   nir_call(b, func, arg0, arg1, arg2, arg3);
}

static inline nir_def *
libagx_txs(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4, nir_def *arg5, nir_def *arg6, nir_def *arg7, nir_def *arg8)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 16);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 1);
   assert(arg4->num_components == 1);

   assert(arg5->bit_size == 1);
   assert(arg5->num_components == 1);

   assert(arg6->bit_size == 1);
   assert(arg6->num_components == 1);

   assert(arg7->bit_size == 1);
   assert(arg7->num_components == 1);

   assert(arg8->bit_size == 1);
   assert(arg8->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_txs");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_txs");
      func->num_params = 9;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 16;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 1;
      func->params[4].num_components = 1;

      func->params[5].bit_size = 1;
      func->params[5].num_components = 1;

      func->params[6].bit_size = 1;
      func->params[6].num_components = 1;

      func->params[7].bit_size = 1;
      func->params[7].num_components = 1;

      func->params[8].bit_size = 1;
      func->params[8].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 4);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8);

   return nir_trim_vector(b, nir_load_deref(b, deref), 3);
}

static inline nir_def *
libagx_image_texel_address(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4, nir_def *arg5, nir_def *arg6, nir_def *arg7)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 4);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 32);
   assert(arg4->num_components == 1);

   assert(arg5->bit_size == 1);
   assert(arg5->num_components == 1);

   assert(arg6->bit_size == 1);
   assert(arg6->num_components == 1);

   assert(arg7->bit_size == 1);
   assert(arg7->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_image_texel_address");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_image_texel_address");
      func->num_params = 8;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 4;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 32;
      func->params[4].num_components = 1;

      func->params[5].bit_size = 1;
      func->params[5].num_components = 1;

      func->params[6].bit_size = 1;
      func->params[6].num_components = 1;

      func->params[7].bit_size = 1;
      func->params[7].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(9, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3, arg4, arg5, arg6, arg7);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_buffer_texel_address(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 4);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_buffer_texel_address");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_buffer_texel_address");
      func->num_params = 4;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 4;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(9, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_texture_is_rgb32(nir_builder *b, nir_def *arg1)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_texture_is_rgb32");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_texture_is_rgb32");
      func->num_params = 2;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(11, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_texture_load_rgb32(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 1);
   assert(arg3->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_texture_load_rgb32");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_texture_load_rgb32");
      func->num_params = 4;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 1;
      func->params[3].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 4);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3);

   return nir_load_deref(b, deref);
}

#include <stdint.h>
static const uint32_t libagx_shaders_nir[] = {
    0x0000030a, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0xa69b7d00, 0xb30addd1,
    0x4668b4bf, 0x022b1ed3, 0xf9c65def, 0x00000eea,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000040, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00001bf8, 0x0000000b,
    0x0000002c, 0x6162696c, 0x765f7867, 0x65747265,
    0x64695f78, 0x726f665f, 0x706f745f, 0x676f6c6f,
    0x00000079, 0x00000006, 0x00004001, 0x00002001,
    0x00000101, 0x00002001, 0x00002001, 0x00002001,
    0x0000002c, 0x6162696c, 0x735f7867, 0x70757465,
    0x6266785f, 0x6675625f, 0x00726566, 0x00000003,
    0x00004001, 0x00004001, 0x00002001, 0x0000002c,
    0x6162696c, 0x655f7867, 0x705f646e, 0x696d6972,
    0x65766974, 0x00000000, 0x00000006, 0x00004001,
    0x00002001, 0x00002001, 0x00002001, 0x00002001,
    0x00002001, 0x0000002c, 0x6162696c, 0x625f7867,
    0x646c6975, 0x5f73675f, 0x77617264, 0x00000000,
    0x00000005, 0x00004001, 0x00000101, 0x00002001,
    0x00002001, 0x00002001, 0x0000002c, 0x6162696c,
    0x675f7867, 0x65735f73, 0x5f707574, 0x69646e69,
    0x74636572, 0x00000000, 0x00000002, 0x00004001,
    0x00002001, 0x0000002c, 0x6162696c, 0x705f7867,
    0x69666572, 0x75735f78, 0x0000006d, 0x00000004,
    0x00004001, 0x00002001, 0x00002001, 0x00002002,
    0x0000002c, 0x6162696c, 0x745f7867, 0x00007378,
    0x00000009, 0x00004001, 0x00004001, 0x00001001,
    0x00002001, 0x00000101, 0x00000101, 0x00000101,
    0x00000101, 0x00000101, 0x0000002c, 0x6162696c,
    0x695f7867, 0x6567616d, 0x7865745f, 0x615f6c65,
    0x65726464, 0x00007373, 0x00000008, 0x00004001,
    0x00004001, 0x00002004, 0x00002001, 0x00002001,
    0x00000101, 0x00000101, 0x00000101, 0x0000002c,
    0x6162696c, 0x625f7867, 0x65666675, 0x65745f72,
    0x5f6c6578, 0x72646461, 0x00737365, 0x00000004,
    0x00004001, 0x00004001, 0x00002004, 0x00002001,
    0x0000002c, 0x6162696c, 0x745f7867, 0x75747865,
    0x695f6572, 0x67725f73, 0x00323362, 0x00000002,
    0x00004001, 0x00004001, 0x0000002c, 0x6162696c,
    0x745f7867, 0x75747865, 0x6c5f6572, 0x5f64616f,
    0x33626772, 0x00000032, 0x00000004, 0x00004001,
    0x00004001, 0x00002001, 0x00000101, 0x00000001,
    0x00000001, 0x00001001, 0x001000d3, 0x00000240,
    0x7366666f, 0x00737465, 0x00000003, 0x00000000,
    0x00000013, 0x00000e05, 0xe2011394, 0x92021394,
    0xe2031394, 0xe2041394, 0xe2051394, 0x9230f000,
    0x000d000e, 0x00003605, 0x9230f000, 0x0014000e,
    0x92374000, 0x000e0014, 0x00009605, 0x9230f000,
    0x0017000e, 0x92334000, 0x00180016, 0x00015605,
    0x9230f000, 0x001a000e, 0x92334000, 0x001b0019,
    0x00019605, 0x9230f000, 0x001d000e, 0x92334000,
    0x001e001c, 0x00000001, 0x0000007c, 0x00000000,
    0x00000001, 0x00000000, 0x0000001f, 0x00005605,
    0x9230f000, 0x0021000e, 0x92334000, 0x00220015,
    0x00007605, 0x9230f000, 0x0024000e, 0x92334000,
    0x00250023, 0x0000b605, 0x9230f000, 0x0027000e,
    0x92334000, 0x00280018, 0x0000d605, 0x9230f000,
    0x002a000e, 0x92334000, 0x002b0029, 0x00017605,
    0x9230f000, 0x002d000e, 0x92334000, 0x002e001b,
    0x0001b605, 0x9230f000, 0x0030000e, 0x92334000,
    0x0031001e, 0x0000f605, 0x9230f000, 0x0033000e,
    0x00011605, 0x9230f000, 0x0035000e, 0x92334000,
    0x00360034, 0xe2e71000, 0x00170037, 0x00320024,
    0x0038002a, 0x0017002f, 0x002c0039, 0x003a0024,
    0xe2671000, 0x00210026, 0x0013003b, 0x003c0014,
    0xe2325000, 0x003d0010, 0xe2308000, 0x0011003e,
    0x00000003, 0x00000000, 0x00000002, 0x00005605,
    0x9230f000, 0x0041000e, 0x00000001, 0x00000108,
    0x00000000, 0x00000001, 0x00000000, 0x00000007,
    0xfffff605, 0xe2308000, 0x00440012, 0x9270f000,
    0x00450010, 0x00140011, 0x9230b000, 0x00470046,
    0xe2308000, 0x00110010, 0xe2271000, 0x000d0048,
    0x00000049, 0x00000003, 0x00000000, 0x00000002,
    0x0000b605, 0x9230f000, 0x004c000e, 0x00000001,
    0x00000134, 0x00000000, 0x00000001, 0x00000000,
    0x0000000b, 0xe2271000, 0x000d000f, 0x00000041,
    0xe230b000, 0x00140010, 0x9270f000, 0x000d0050,
    0x004f0011, 0x92334000, 0x00520051, 0x00007605,
    0xe2271000, 0x0054000f, 0x00000014, 0xe232f000,
    0x00000011, 0xe2308000, 0x00560055, 0xe2271000,
    0x00110053, 0x00000057, 0xe2308000, 0x00580010,
    0x00000003, 0x00000000, 0x00000002, 0x0000d605,
    0x9230f000, 0x005b000e, 0x00000001, 0x00000170,
    0x00000000, 0x00000001, 0x00000000, 0x00000007,
    0xe2308000, 0x00140011, 0x00007605, 0xe2383000,
    0x005f005e, 0xe2271000, 0x0060000f, 0x00000011,
    0x9230f000, 0x000d0061, 0xe2308000, 0x00610010,
    0xe2271000, 0x000d0062, 0x00000063, 0x00000003,
    0x00000000, 0x0000000e, 0x0001b605, 0x9230f000,
    0x0066000e, 0xfffff605, 0xe2308000, 0x00680012,
    0x9270f000, 0x00690010, 0x000d0010, 0xe230b000,
    0x00140010, 0x9230f000, 0x000d006c, 0xe2381000,
    0x0010006c, 0x9230f000, 0x000d006e, 0x92334000,
    0x000f006f, 0xe2308000, 0x00170011, 0xe2383000,
    0x005b0071, 0xe2271000, 0x00110070, 0x00000072,
    0x00000001, 0x0000019c, 0x00000000, 0x00000001,
    0x00000000, 0x00000020, 0xf2000b01, 0x00000f05,
    0xf2c00011, 0x00760075, 0x00012224, 0x000001dc,
    0x00000034, 0x00003705, 0xffffd605, 0x00007605,
    0xe2671000, 0x0079006d, 0x006b007a, 0x007b0014,
    0xf2800011, 0x00780075, 0x00012224, 0x000001f4,
    0x000001f0, 0x00005705, 0xf2800011, 0x007e0075,
    0xe2271000, 0x0041006f, 0x00000017, 0x00012224,
    0x000001fc, 0x00000200, 0x00007705, 0xf2800011,
    0x00810075, 0xe2271000, 0x004c006a, 0x0000005b,
    0x00012224, 0x00000208, 0x0000020c, 0x00009705,
    0xf2800011, 0x00840075, 0xe2271000, 0x0017006f,
    0x00000041, 0x00012224, 0x00000214, 0x00000218,
    0x0000b705, 0xf2800011, 0x00870075, 0xe2271000,
    0x007a006f, 0x00000079, 0x00012224, 0x00000220,
    0x00000224, 0xe2337000, 0x00140010, 0xf2364000,
    0x00000073, 0xf2c00011, 0x008b0075, 0xe2000eb4,
    0x00000230, 0xe2308000, 0x008d008a, 0x00000001,
    0x00000000, 0x00000000, 0x00000000, 0x00000001,
    0xe2000028, 0x0000008e, 0x00000074, 0x0000000d,
    0x0000008f, 0x00000000, 0x00000001, 0xe2000028,
    0x00000064, 0x0000005d, 0x00000091, 0x00000090,
    0x00000000, 0x00000001, 0xe2000028, 0x00000059,
    0x0000004e, 0x00000093, 0x00000092, 0x00000000,
    0x00000001, 0xe2000028, 0x0000004a, 0x00000043,
    0x00000095, 0x00000094, 0x00000000, 0x00000004,
    0xe2000028, 0x0000003f, 0x00000020, 0x00000097,
    0x00000096, 0xf2001394, 0xf2001251, 0x00000268,
    0x00000004, 0x00000000, 0x00000000, 0x00000240,
    0x00012224, 0x0000026c, 0x00000264, 0x00000001,
    0x00000000, 0x00000003, 0x00000000, 0x0000000d,
    0xf2011394, 0xe2021394, 0xf2001851, 0x00000274,
    0x00000110, 0x00000000, 0x00000000, 0x40001211,
    0x75727473, 0x612e7463, 0x675f7867, 0x656d6f65,
    0x5f797274, 0x61726170, 0x0000736d, 0x00000249,
    0x6c656966, 0x00003064, 0xffffffff, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000249, 0x6c656966, 0x00003164,
    0xffffffff, 0x00000000, 0x00000008, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000249,
    0x6c656966, 0x00003264, 0xffffffff, 0x00000000,
    0x00000010, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00200093, 0x00000249, 0x6c656966,
    0x00003364, 0xffffffff, 0x00000000, 0x00000018,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00200093, 0x00000249, 0x6c656966, 0x00003464,
    0xffffffff, 0x00000000, 0x00000038, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200093,
    0x00000249, 0x6c656966, 0x00003564, 0xffffffff,
    0x00000000, 0x00000058, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00003664, 0xffffffff, 0x00000000, 0x00000078,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00003764, 0xffffffff,
    0x00000000, 0x00000080, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00200093, 0x00000249,
    0x6c656966, 0x00003864, 0xffffffff, 0x00000000,
    0x00000088, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00100093, 0x00000240, 0x6c656966,
    0x00003964, 0xffffffff, 0x00000000, 0x000000a8,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00200093, 0x00000249, 0x6c656966, 0x00303164,
    0xffffffff, 0x00000000, 0x000000b8, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00100093,
    0x00000240, 0x6c656966, 0x00313164, 0xffffffff,
    0x00000000, 0x000000d8, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00323164, 0xffffffff, 0x00000000, 0x000000e8,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00333164, 0xffffffff,
    0x00000000, 0x000000f0, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00100073, 0x00000240,
    0x6c656966, 0x00343164, 0xffffffff, 0x00000000,
    0x000000f8, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00353164,
    0xffffffff, 0x00000000, 0x00000104, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00363164, 0xffffffff, 0x00000000,
    0x00000108, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00373164,
    0xffffffff, 0x00000000, 0x0000010c, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0xf2000041,
    0x0000027c, 0x00000005, 0xf2364000, 0x0000009e,
    0xf2c00011, 0x00a100a0, 0xf2001851, 0x00000288,
    0x00000008, 0x00000008, 0x00000000, 0x00000249,
    0xf2000eb4, 0x0000028c, 0xe2390000, 0x000000a4,
    0xe2391000, 0x000000a4, 0xe2334000, 0x00a600a5,
    0x00000e05, 0x9232b000, 0x00a800a7, 0x00000001,
    0x000002a4, 0x00000000, 0x00000001, 0x00000000,
    0x0000000d, 0xf2001851, 0x00000290, 0x00000004,
    0x00000004, 0x00000000, 0x00000240, 0xe2000eb4,
    0x000002ac, 0xf2000041, 0x0000027c, 0x00000008,
    0xf2c00011, 0x00a100ad, 0xf2001851, 0x000002b8,
    0x00000008, 0x00000008, 0x00000000, 0x00000249,
    0xf2000eb4, 0x000002bc, 0xf2364000, 0x000000ac,
    0xf2001851, 0x000002c0, 0x00000001, 0x00000000,
    0x00000000, 0x00000245, 0xf2800031, 0x00b100b2,
    0xf2000041, 0x0000027c, 0x0000000a, 0xf2c00011,
    0x00a100b4, 0xf2001851, 0x000002d4, 0x00000008,
    0x00000008, 0x00000000, 0x00000249, 0x00012224,
    0x000002d8, 0x000002cc, 0x00000001, 0x00000000,
    0x00000000, 0x00000000, 0x00000004, 0xe2000028,
    0x000000a8, 0x000000b7, 0x000000ac, 0x000000aa,
    0xf2001394, 0xf2001251, 0x000002e8, 0x00000004,
    0x00000000, 0x00000000, 0x00000240, 0x00012224,
    0x000002ec, 0x000002e4, 0x00000001, 0x00000000,
    0x00000003, 0x00000000, 0x00000011, 0xf2001394,
    0xe2011394, 0xe2021394, 0xe2031394, 0xe2041394,
    0xe2051394, 0xe232f000, 0x000000bf, 0xe2708000,
    0x00c300be, 0x00c400c1, 0x00003605, 0xfffff605,
    0xe2b08000, 0x00c700c0, 0x00c800c2, 0x00c900c5,
    0xf2364000, 0x000000ca, 0xf20018d1, 0x000002f4,
    0x00000004, 0x00000000, 0x00000000, 0x00000e05,
    0x00000002, 0x00000100, 0x00000003, 0x00000000,
    0x00000002, 0xe2000028, 0x000000cd, 0x000000bc,
    0x000000d9, 0x000000d3, 0x92374000, 0x00bf00cf,
    0x00000001, 0x00000340, 0x00000000, 0x00000001,
    0x00000000, 0x00000001, 0x00000026, 0x00000001,
    0x00000000, 0x00000000, 0x00000000, 0x00000007,
    0xe2308000, 0x00cf00c5, 0xf2364000, 0x000000cf,
    0xf2308000, 0x00d500cb, 0xf2800031, 0x00d600cc,
    0xf20018d1, 0x0000035c, 0x00000004, 0x00000004,
    0x00000000, 0x00012224, 0x00000360, 0x00000350,
    0xe2308000, 0x00c600cf, 0x00000000, 0x00000005,
    0xf2364000, 0x000000bf, 0xf2308000, 0x00db00cb,
    0xf2800031, 0x00dc00cc, 0xf20018d1, 0x00000374,
    0x00000004, 0x00000004, 0x00000000, 0x00012224,
    0x00000378, 0x0000031c, 0x00000001, 0x00000000,
    0x00000005, 0x00000000, 0x00000023, 0xf2001394,
    0x92011394, 0xe2021394, 0xe2031394, 0xe2041394,
    0xf2001851, 0x00000380, 0x00000110, 0x00000000,
    0x00000000, 0x40001211, 0x75727473, 0x612e7463,
    0x675f7867, 0x656d6f65, 0x5f797274, 0x61726170,
    0x0000736d, 0x00000249, 0x6c656966, 0x00003064,
    0xffffffff, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000249,
    0x6c656966, 0x00003164, 0xffffffff, 0x00000000,
    0x00000008, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000249, 0x6c656966, 0x00003264,
    0xffffffff, 0x00000000, 0x00000010, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200093,
    0x00000249, 0x6c656966, 0x00003364, 0xffffffff,
    0x00000000, 0x00000018, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00200093, 0x00000249,
    0x6c656966, 0x00003464, 0xffffffff, 0x00000000,
    0x00000038, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00200093, 0x00000249, 0x6c656966,
    0x00003564, 0xffffffff, 0x00000000, 0x00000058,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00003664, 0xffffffff,
    0x00000000, 0x00000078, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00003764, 0xffffffff, 0x00000000, 0x00000080,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00200093, 0x00000249, 0x6c656966, 0x00003864,
    0xffffffff, 0x00000000, 0x00000088, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00100093,
    0x00000240, 0x6c656966, 0x00003964, 0xffffffff,
    0x00000000, 0x000000a8, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00200093, 0x00000249,
    0x6c656966, 0x00303164, 0xffffffff, 0x00000000,
    0x000000b8, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00100093, 0x00000240, 0x6c656966,
    0x00313164, 0xffffffff, 0x00000000, 0x000000d8,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00323164, 0xffffffff,
    0x00000000, 0x000000e8, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00333164, 0xffffffff, 0x00000000, 0x000000f0,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00100073, 0x00000240, 0x6c656966, 0x00343164,
    0xffffffff, 0x00000000, 0x000000f8, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00353164, 0xffffffff, 0x00000000,
    0x00000104, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00363164,
    0xffffffff, 0x00000000, 0x00000108, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00373164, 0xffffffff, 0x00000000,
    0x0000010c, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0xf2000041, 0x00000394, 0x00000001,
    0xf2001851, 0x00000398, 0x00000008, 0x00000008,
    0x00000000, 0x00000249, 0xf2000eb4, 0x0000039c,
    0xf2000041, 0x00000394, 0x00000000, 0xf20018d1,
    0x000003a4, 0x00000008, 0x00000008, 0x00000000,
    0xf2000eb4, 0x000003a8, 0xf2001851, 0x000003ac,
    0x00000018, 0x00000000, 0x00000000, 0x40000511,
    0x75727473, 0x612e7463, 0x675f7867, 0x656d6f65,
    0x5f797274, 0x74617473, 0x00000065, 0x00000249,
    0x6c656966, 0x00003064, 0xffffffff, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00003164,
    0xffffffff, 0x00000000, 0x00000008, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00003264, 0xffffffff, 0x00000000,
    0x0000000c, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00003364,
    0xffffffff, 0x00000000, 0x00000010, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00003464, 0xffffffff, 0x00000000,
    0x00000014, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0xf2000041, 0x000003b0, 0x00000000,
    0xf2001851, 0x000003b4, 0x00000008, 0x00000008,
    0x00000000, 0x00000249, 0xf2000eb4, 0x000003b8,
    0xf2000041, 0x000003b0, 0x00000001, 0xf2001851,
    0x000003c0, 0x00000004, 0x00000008, 0x00000000,
    0x00000240, 0xe2000eb4, 0x000003c4, 0xf2364000,
    0x000000f2, 0xf2001851, 0x000003bc, 0x00000001,
    0x00000000, 0x00000000, 0x00000245, 0xf2800031,
    0x00f300f4, 0xf2000041, 0x00000394, 0x00000006,
    0xf2001851, 0x000003d8, 0x00000008, 0x00000008,
    0x00000000, 0x00000249, 0x00012224, 0x000003dc,
    0x000003d4, 0xe2325000, 0x00e400e2, 0x00003605,
    0xe2308000, 0x00f900f8, 0xffff9605, 0xe230b000,
    0x00fb00fa, 0xe2000eb4, 0x000003c4, 0xe2308000,
    0x00fc00fd, 0x00012224, 0x000003c4, 0x000003f8,
    0x92330000, 0x000000e1, 0x00000705, 0xdeadbeef,
    0x00000000, 0x00000001, 0x000003fc, 0x00000000,
    0x00000001, 0x00000000, 0x00000010, 0xf2001851,
    0x000003a0, 0x00000004, 0x00000004, 0x00000000,
    0x00000240, 0x00012224, 0x00000408, 0x00000388,
    0xf20018d1, 0x000003a0, 0x00000004, 0x00000000,
    0x00000000, 0x00003705, 0xf2800031, 0x01040103,
    0xf20018d1, 0x00000414, 0x00000004, 0x00000004,
    0x00000000, 0x00012224, 0x00000418, 0x000003e4,
    0x00005705, 0xf2800031, 0x01070103, 0xf20018d1,
    0x00000420, 0x00000004, 0x00000004, 0x00000000,
    0x00000e05, 0x00012224, 0x00000424, 0x00000428,
    0x00007705, 0xf2800031, 0x010b0103, 0xf20018d1,
    0x00000430, 0x00000004, 0x00000004, 0x00000000,
    0x00012224, 0x00000434, 0x00000428, 0x00000001,
    0x00000000, 0x00000022, 0xe2308000, 0x00e300e2,
    0xf2000eb4, 0x000003b8, 0xf2364000, 0x000000fe,
    0xf2001851, 0x00000440, 0x00000001, 0x00000000,
    0x00000000, 0x00000245, 0xf2800031, 0x01110112,
    0xf2000041, 0x00000394, 0x00000007, 0xf2001851,
    0x00000450, 0x00000008, 0x00000008, 0x00000000,
    0x00000249, 0x00012224, 0x00000454, 0x0000044c,
    0x00005605, 0xe2337000, 0x0116010f, 0xe2000eb4,
    0x000003c4, 0xe2308000, 0x01170118, 0x00012224,
    0x000003c4, 0x00000464, 0xf2001851, 0x000003a0,
    0x00000004, 0x00000004, 0x00000000, 0x00000240,
    0x00012224, 0x00000468, 0x0000043c, 0xf20018d1,
    0x000003a0, 0x00000004, 0x00000000, 0x00000000,
    0x00003705, 0xf2800031, 0x011c011b, 0xf20018d1,
    0x00000474, 0x00000004, 0x00000004, 0x00000000,
    0x00012224, 0x00000478, 0x000003e4, 0xe23a2000,
    0x011600fe, 0x00005705, 0xf2800031, 0x0120011b,
    0xf20018d1, 0x00000484, 0x00000004, 0x00000004,
    0x00000000, 0x00012224, 0x00000488, 0x0000047c,
    0x00007705, 0xf2800031, 0x0123011b, 0xf20018d1,
    0x00000490, 0x00000004, 0x00000004, 0x00000000,
    0x00000e05, 0x00012224, 0x00000494, 0x00000498,
    0x00009705, 0xf2800031, 0x0127011b, 0xf20018d1,
    0x000004a0, 0x00000004, 0x00000004, 0x00000000,
    0x00012224, 0x000004a4, 0x00000498, 0x00000000,
    0x00000003, 0xe2000eb4, 0x000003c4, 0x08000e05,
    0x92379000, 0x012b012c, 0x00000001, 0x000004b4,
    0x00000000, 0x00000001, 0x00000000, 0x00000003,
    0xf20018d1, 0x00000400, 0x00000004, 0x00000004,
    0x00000000, 0x02469605, 0x00012224, 0x000004bc,
    0x000004c0, 0x00000001, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000001, 0x00000000,
    0x00000003, 0x00000000, 0x00000072, 0xf2001394,
    0xe2011394, 0xf2001851, 0x000004d0, 0x00000110,
    0x00000000, 0x00000000, 0x40001211, 0x75727473,
    0x612e7463, 0x675f7867, 0x656d6f65, 0x5f797274,
    0x61726170, 0x0000736d, 0x00000249, 0x6c656966,
    0x00003064, 0xffffffff, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00003164, 0xffffffff,
    0x00000000, 0x00000008, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00003264, 0xffffffff, 0x00000000, 0x00000010,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00200093, 0x00000249, 0x6c656966, 0x00003364,
    0xffffffff, 0x00000000, 0x00000018, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200093,
    0x00000249, 0x6c656966, 0x00003464, 0xffffffff,
    0x00000000, 0x00000038, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00200093, 0x00000249,
    0x6c656966, 0x00003564, 0xffffffff, 0x00000000,
    0x00000058, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000249, 0x6c656966, 0x00003664,
    0xffffffff, 0x00000000, 0x00000078, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000249,
    0x6c656966, 0x00003764, 0xffffffff, 0x00000000,
    0x00000080, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00200093, 0x00000249, 0x6c656966,
    0x00003864, 0xffffffff, 0x00000000, 0x00000088,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00100093, 0x00000240, 0x6c656966, 0x00003964,
    0xffffffff, 0x00000000, 0x000000a8, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200093,
    0x00000249, 0x6c656966, 0x00303164, 0xffffffff,
    0x00000000, 0x000000b8, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00100093, 0x00000240,
    0x6c656966, 0x00313164, 0xffffffff, 0x00000000,
    0x000000d8, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000249, 0x6c656966, 0x00323164,
    0xffffffff, 0x00000000, 0x000000e8, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000249,
    0x6c656966, 0x00333164, 0xffffffff, 0x00000000,
    0x000000f0, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00100073, 0x00000240, 0x6c656966,
    0x00343164, 0xffffffff, 0x00000000, 0x000000f8,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000240, 0x6c656966, 0x00353164, 0xffffffff,
    0x00000000, 0x00000104, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000240, 0x6c656966,
    0x00363164, 0xffffffff, 0x00000000, 0x00000108,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000240, 0x6c656966, 0x00373164, 0xffffffff,
    0x00000000, 0x0000010c, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0xf2000041, 0x000004d8,
    0x0000000d, 0xf2001851, 0x000004dc, 0x00000008,
    0x00000008, 0x00000000, 0x00000249, 0xf2000eb4,
    0x000004e0, 0xf2001851, 0x000004e4, 0x00000004,
    0x00000004, 0x00000000, 0x00000240, 0xe2000eb4,
    0x000004e8, 0xf20018d1, 0x000004e4, 0x00000004,
    0x00000000, 0x00000000, 0x00003705, 0xf2800031,
    0x013d013c, 0xf20018d1, 0x000004f8, 0x00000004,
    0x00000004, 0x00000000, 0xe2000eb4, 0x000004fc,
    0x00000e05, 0x9230f000, 0x01410135, 0x00003605,
    0x9230f000, 0x01430135, 0xfffff605, 0xe2321000,
    0x0145013b, 0xe2322000, 0x01430146, 0xe2307000,
    0x0000013b, 0xe23a2000, 0x01430148, 0xe2325000,
    0x01490147, 0x00005605, 0x9230f000, 0x014b0135,
    0x92315000, 0x014b013b, 0xe2271000, 0x013b014d,
    0x00000141, 0x00007605, 0x9230f000, 0x014f0135,
    0xe2308000, 0x0145013b, 0xe2271000, 0x0151014d,
    0x00000141, 0x00009605, 0x9230f000, 0x01530135,
    0xe230e000, 0x014f013b, 0x0000b605, 0x9230f000,
    0x01560135, 0x92315000, 0x014f013b, 0xffffd605,
    0xe2308000, 0x0159013b, 0xe2271000, 0x015a0158,
    0x00000141, 0x0000d605, 0x9230f000, 0x015c0135,
    0x00015605, 0x9230f000, 0x015e0135, 0xe23a2000,
    0x014b0148, 0xe2325000, 0x01600147, 0x00017605,
    0x9230f000, 0x01620135, 0x92315000, 0x0153013b,
    0xffffb605, 0xe2308000, 0x0165013b, 0xe2271000,
    0x01660164, 0x00000141, 0x00019605, 0x9230f000,
    0x01680135, 0xe230e000, 0x015c013b, 0x0001b605,
    0x9230f000, 0x016b0135, 0x92315000, 0x015c013b,
    0xffff5605, 0xe2308000, 0x016e013b, 0xe2321000,
    0x0145016f, 0xe2322000, 0x01430170, 0xe2307000,
    0x0000016f, 0xe23a2000, 0x01430172, 0xe2325000,
    0x01730171, 0xe2308020, 0x01740143, 0xe2271000,
    0x0175016d, 0x00000141, 0x0000f605, 0x9230f000,
    0x01770135, 0x00011605, 0x9230f000, 0x01790135,
    0xe2321000, 0x0145015a, 0xe2322000, 0x0143017b,
    0xe2307000, 0x0000015a, 0xe23a2000, 0x0143017d,
    0xe2325000, 0x017e017c, 0xe2271000, 0x017f0164,
    0x00000141, 0xe2223000, 0x00000158, 0xe2e71000,
    0x0180017a, 0x01780181, 0x01820161, 0x0176016c,
    0x01690183, 0x0184016a, 0xe2671000, 0x01670163,
    0x015f0185, 0x01860161, 0x92334000, 0x015d0157,
    0xe2e71000, 0x015b0188, 0x01540187, 0x01890155,
    0x01520150, 0x014c018a, 0x018b014e, 0xe2671000,
    0x014a0144, 0x0142018c, 0x018d013b, 0xe2325000,
    0x0140018e, 0xf2000041, 0x000004d8, 0x0000000f,
    0xf20018d1, 0x00000640, 0x00000004, 0x00000004,
    0x00000000, 0x00012224, 0x00000644, 0x0000063c,
    0xf2000041, 0x000004d8, 0x0000000e, 0x00000f05,
    0xf2c00011, 0x01930192, 0xf20018d1, 0x00000650,
    0x00000004, 0x00000008, 0x00000000, 0x00012224,
    0x00000654, 0x00000638, 0xf2c00011, 0x013d0192,
    0xf20018d1, 0x00000658, 0x00000004, 0x00000004,
    0x00000000, 0x00012224, 0x0000065c, 0x00000500,
    0x00005705, 0xf2c00011, 0x01980192, 0xf20018d1,
    0x00000664, 0x00000004, 0x00000008, 0x00000000,
    0x00012224, 0x00000668, 0x0000050c, 0xf2000041,
    0x000004d8, 0x0000000c, 0xf2001851, 0x0000066c,
    0x00000008, 0x00000008, 0x00000000, 0x00000249,
    0xf2000eb4, 0x00000670, 0xe2390000, 0x0000019d,
    0xe2391000, 0x0000019d, 0xe2334000, 0x019f019e,
    0x9232b000, 0x014101a0, 0x00000001, 0x00000684,
    0x00000000, 0x00000001, 0x00000000, 0x0000000b,
    0xf2800031, 0x0198013c, 0xf2001851, 0x0000068c,
    0x00000004, 0x00000004, 0x00000000, 0x00000240,
    0xe2000eb4, 0x00000690, 0xf2000041, 0x000004d8,
    0x00000011, 0xf20018d1, 0x00000698, 0x00000004,
    0x00000004, 0x00000000, 0xe2000eb4, 0x0000069c,
    0xe2325000, 0x01a801a5, 0xf2364000, 0x000001a9,
    0xf2001851, 0x00000674, 0x00000001, 0x00000000,
    0x00000000, 0x00000245, 0xf2800031, 0x01aa01ab,
    0x00012224, 0x00000670, 0x000006b0, 0x00000001,
    0x00000000, 0x00000000, 0x00000000, 0x0000001a,
    0xf2000041, 0x000004d8, 0x00000000, 0xf2001851,
    0x000006bc, 0x00000008, 0x00000008, 0x00000000,
    0x00000249, 0xf2000eb4, 0x000006c0, 0xf2001851,
    0x000006c4, 0x00000018, 0x00000000, 0x00000000,
    0x40000511, 0x75727473, 0x612e7463, 0x675f7867,
    0x656d6f65, 0x5f797274, 0x74617473, 0x00000065,
    0x00000249, 0x6c656966, 0x00003064, 0xffffffff,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000240, 0x6c656966,
    0x00003164, 0xffffffff, 0x00000000, 0x00000008,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000240, 0x6c656966, 0x00003264, 0xffffffff,
    0x00000000, 0x0000000c, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000240, 0x6c656966,
    0x00003364, 0xffffffff, 0x00000000, 0x00000010,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000240, 0x6c656966, 0x00003464, 0xffffffff,
    0x00000000, 0x00000014, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0xf2000041, 0x000006c8,
    0x00000000, 0xf2001851, 0x000006cc, 0x00000008,
    0x00000008, 0x00000000, 0x00000249, 0xf2000eb4,
    0x000006d0, 0xf2000041, 0x000006c8, 0x00000001,
    0xf2001851, 0x000006d8, 0x00000004, 0x00000008,
    0x00000000, 0x00000240, 0xe2000eb4, 0x000006dc,
    0xf2364000, 0x000001b8, 0xf2001851, 0x000006d4,
    0x00000001, 0x00000000, 0x00000000, 0x00000245,
    0xf2800031, 0x01b901ba, 0xf2000041, 0x000004d8,
    0x00000002, 0xf2001851, 0x000006f0, 0x00000008,
    0x00000008, 0x00000000, 0x00000249, 0x00012224,
    0x000006f4, 0x000006ec, 0xf2000041, 0x000004d8,
    0x00000010, 0xf2001851, 0x000006f8, 0x00000004,
    0x00000008, 0x00000000, 0x00000240, 0xe2000eb4,
    0x000006fc, 0xe2325000, 0x01c0018f, 0xe2308000,
    0x014301c1, 0xffff9605, 0xe230b000, 0x01c301c2,
    0xe2000eb4, 0x000006dc, 0xe2308000, 0x01c401c5,
    0x00012224, 0x000006dc, 0x00000718, 0x00000001,
    0x00000000, 0x00000005, 0x00000000, 0x0000000b,
    0xf2001394, 0xe2011394, 0xe2021394, 0xe4031394,
    0x00000e05, 0x00041605, 0x0003f605, 0xe230b000,
    0x01ce01c9, 0xe232f000, 0x000001cf, 0xe2308000,
    0x01d001c9, 0xe233e000, 0x000001cb, 0x00000002,
    0x00000100, 0x00000003, 0x00000000, 0x00000003,
    0xe2000028, 0x000001d2, 0x000001c7, 0x000001e6,
    0x000001d9, 0xe2000028, 0x000001cc, 0x000001c7,
    0x000001e5, 0x000001d9, 0x92374000, 0x01d101d4,
    0x00000001, 0x00000758, 0x00000000, 0x00000001,
    0x00000000, 0x00000001, 0x00000026, 0x00000001,
    0x00000000, 0x00000000, 0x00000000, 0x0000000e,
    0xe2325000, 0x01ca01d4, 0xe2308400, 0x01cb01da,
    0xf2364000, 0x000001db, 0xf20018d1, 0x00000720,
    0x00000004, 0x00000000, 0x00000000, 0xf2800031,
    0x01dc01dd, 0xf20018d1, 0x00000778, 0x00000004,
    0x00000004, 0x00000000, 0xe2000eb4, 0x0000077c,
    0xe2008694, 0x00000780, 0x00000108, 0xe2708000,
    0x01e001e1, 0x01e201d5, 0x00012224, 0x0000077c,
    0x0000078c, 0xe2001fe4, 0x00000788, 0x00000738,
    0xe2708000, 0x01e401d5, 0x01cd01d4, 0x00000000,
    0x00000001, 0x92379000, 0x01cf01cb, 0x00000001,
    0x000007a0, 0x00000000, 0x00000001, 0x00000000,
    0x0000000b, 0xe2325000, 0x01ca01d4, 0xe2308400,
    0x01cb01ea, 0xf2364000, 0x000001eb, 0xf20018d1,
    0x00000720, 0x00000004, 0x00000000, 0x00000000,
    0xf2800031, 0x01ec01ed, 0xf20018d1, 0x000007b8,
    0x00000004, 0x00000004, 0x00000000, 0xe2000eb4,
    0x000007bc, 0xe2008694, 0x000007c0, 0x00000108,
    0xe2708000, 0x01f101d5, 0x01f001f2, 0x00012224,
    0x000007bc, 0x000007cc, 0x00000001, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000001,
    0x00000000, 0x00000003, 0x00000000, 0x00000041,
    0x00000e05, 0xf2011394, 0xd2021394, 0xe2031394,
    0x92041394, 0x92051394, 0x92061394, 0x92071394,
    0x92081394, 0x00003605, 0xe2005084, 0x000007e0,
    0x00000400, 0xf2364000, 0x00000201, 0x00009605,
    0xf23a2000, 0x02030202, 0xe2390000, 0x00000204,
    0x00007605, 0xe230b000, 0x02060205, 0x00005605,
    0x00009705, 0xf2308000, 0x020901f8, 0xe2005084,
    0x00000828, 0x00000400, 0xf2364000, 0x0000020b,
    0x00041605, 0xf2337000, 0x020d020c, 0xf2334000,
    0x020e0202, 0x00039605, 0xf23a2000, 0x0210020f,
    0xe2390000, 0x00000211, 0x07fff605, 0xe230b000,
    0x02130212, 0xe2308000, 0x02000214, 0x00015605,
    0xf23a2000, 0x0216020c, 0xe2390000, 0x00000217,
    0xe230b000, 0x02130218, 0x00031605, 0xf23a2000,
    0x021a020c, 0xe2390000, 0x0000021b, 0x0001f605,
    0xe230b000, 0x021d021c, 0x00019705, 0xf2308000,
    0x021f01f8, 0xe2005084, 0x00000880, 0x00000400,
    0xf2364000, 0x00000221, 0x00013605, 0xf23a2000,
    0x02230222, 0xe2390000, 0x00000224, 0xe230b000,
    0x02000225, 0x9230f000, 0x01f70226, 0x0001d605,
    0xf23a2000, 0x02280222, 0xe2390000, 0x00000229,
    0xe230b000, 0x0213022a, 0x00021705, 0xf2308000,
    0x022c01f8, 0xe2005084, 0x000008b4, 0x00000400,
    0x00fff605, 0xe230b000, 0x022f022e, 0xf2364000,
    0x0000022e, 0x00029705, 0xf2308000, 0x023201f8,
    0xe2005084, 0x000008cc, 0x00000400, 0xf2364000,
    0x00000234, 0xf2337000, 0x020d0235, 0xf2334000,
    0x02360231, 0x00000001, 0x0000089c, 0x00000000,
    0x00000003, 0x00000000, 0x00000001, 0x92330000,
    0x000001fb, 0x00000001, 0x000008e4, 0x00000000,
    0x00000003, 0x00000000, 0x0000000a, 0xe2363000,
    0x000001f9, 0xe2308000, 0x021e023b, 0x9230b000,
    0x01fd01ff, 0x9230f000, 0x01f70207, 0x9230b000,
    0x023e023d, 0xe2271000, 0x0230023f, 0x0000022b,
    0xe2308000, 0x02400200, 0x9230b000, 0x01fc01ff,
    0xe2271000, 0x02400242, 0x00000219, 0xe2308000,
    0x02430200, 0x00000002, 0x00000100, 0x00000003,
    0x00000000, 0x00000009, 0xe2000028, 0x00000215,
    0x0000023a, 0x0000025c, 0x00000251, 0xe2000028,
    0x00000244, 0x0000023a, 0x0000025d, 0x00000251,
    0xe2000028, 0x00000241, 0x0000023a, 0x0000025e,
    0x00000251, 0xe2000028, 0x000001f7, 0x0000023a,
    0x0000025b, 0x00000251, 0xe63a8000, 0x02470246,
    0x00000248, 0xe2223000, 0x000001ff, 0xe232f000,
    0x0000024b, 0xe2308000, 0x024c01fa, 0x92374000,
    0x024d0249, 0x00000001, 0x00000938, 0x00000000,
    0x00000001, 0x00000000, 0x00000001, 0x00000026,
    0x00000001, 0x00000000, 0x00000000, 0x00000000,
    0x0000000d, 0x9271a000, 0x02000249, 0x02080249,
    0xe2671000, 0x02470253, 0x02520248, 0x02540246,
    0xe23a2000, 0x023c0255, 0xe237f000, 0x02000256,
    0x00000625, 0x00000000, 0x00000001, 0x00000002,
    0x9610f000, 0x00000924, 0xa4000960, 0xe6071000,
    0xa4000964, 0x0000095c, 0xa4000928, 0xe2308000,
    0x02000249, 0xe233e000, 0x0000025a, 0xe233e100,
    0x0000025a, 0xe233e200, 0x0000025a, 0x00000000,
    0x00000001, 0xe2271000, 0x024601fe, 0x00000247,
    0x00000001, 0x00000000, 0x00000001, 0xe2363000,
    0x00000237, 0x00000000, 0x00000003, 0xe2000028,
    0x00000246, 0x0000025f, 0x00000262, 0x00000261,
    0xe2000028, 0x00000260, 0x0000025f, 0x00000262,
    0x00000261, 0xe2000028, 0x00000248, 0x0000025f,
    0x00000262, 0x00000261, 0x00000001, 0x00000000,
    0x00000000, 0x00000000, 0x00000007, 0xe2000028,
    0x00000264, 0x00000263, 0x000001f7, 0x00000267,
    0xe2000028, 0x00000265, 0x00000263, 0x000001f7,
    0x00000267, 0xe2000028, 0x00000266, 0x00000263,
    0x000001f7, 0x00000267, 0xf2001394, 0xf2001251,
    0x000009b0, 0x00000010, 0x00000000, 0x00000000,
    0x50000300, 0xe83a9000, 0x026a0269, 0x026b026b,
    0x00072224, 0x000009b4, 0x000009b8, 0x00000001,
    0x00000000, 0x00000001, 0x00000000, 0x00000053,
    0xf2011394, 0xe8021394, 0xe2031394, 0xe2041394,
    0x92061394, 0x92071394, 0x00003605, 0xe2005084,
    0x000009c0, 0x00000400, 0xf2364000, 0x00000277,
    0x00009705, 0xf2308000, 0x02790270, 0xe2005084,
    0x000009e8, 0x00000400, 0xf2364000, 0x0000027b,
    0x00041605, 0xf2337000, 0x027d027c, 0xf2334000,
    0x027e0278, 0xe2390000, 0x0000027f, 0xe2391000,
    0x0000027f, 0xe230b000, 0x02760281, 0xf2344000,
    0x02820280, 0x0000f605, 0xf2337000, 0x02840283,
    0xf23a2000, 0x0276027c, 0xe2390000, 0x00000286,
    0xe230b000, 0x02840287, 0xe2337000, 0x02880276,
    0x00009605, 0xf23a2000, 0x028a027c, 0xe2390000,
    0x0000028b, 0xe230b000, 0x0284028c, 0xe2337000,
    0x028d0276, 0xf23a2000, 0x0284027c, 0xe2390000,
    0x0000028f, 0x0ffff605, 0xe230b000, 0x02910290,
    0x0002d605, 0xf23a2000, 0x0293027c, 0xe2390000,
    0x00000294, 0x00007605, 0xe230b000, 0x02960295,
    0xe2337000, 0x02970276, 0x00011705, 0xf2308000,
    0x02990270, 0xe2005084, 0x00000a68, 0x00000400,
    0xfffff605, 0xd4362000, 0x00000271, 0xd2762000,
    0x028e0289, 0xe2363000, 0x0000029e, 0xe2308000,
    0x029c0289, 0xd2362000, 0x000002a1, 0xe2363000,
    0x0000029f, 0xe2308000, 0x029c028e, 0xd2362000,
    0x000002a4, 0xd43a7000, 0x02a502a2, 0xe273f000,
    0x029d02a6, 0xe230b000, 0x02a702a8, 0xd438b000,
    0x000002a9, 0xe2333400, 0x02aa02aa, 0xe2330000,
    0x000002a7, 0xe230b000, 0x02ac02a8, 0xd438b000,
    0x000002ad, 0xe2363100, 0x000002ae, 0xe2725000,
    0x029202af, 0x02a002b0, 0xe2363000, 0x000002ae,
    0xe2325020, 0x02a302b2, 0xe2708000, 0x02b302b1,
    0x02ab02b4, 0xe2325200, 0x029b0271, 0xe2308000,
    0x02b602b5, 0xe2271000, 0x02b70274, 0x000002b5,
    0xe2325000, 0x029802b8, 0xe2308000, 0x027202b9,
    0xe2325000, 0x027302ba, 0xf2364000, 0x000002bb,
    0xf2308000, 0x02bc0285, 0xf2364000, 0x000002ba,
    0xf2271000, 0x02be0275, 0x000002bd, 0xf2001394,
    0xf2001251, 0x00000b00, 0x00000008, 0x00000000,
    0x00000000, 0x00000249, 0x00012224, 0x00000b04,
    0x00000afc, 0x00000001, 0x00000000, 0x00000001,
    0x00000000, 0x00000017, 0xf2011394, 0xe8021394,
    0xe2031394, 0xe2005084, 0x00000b0c, 0x00000400,
    0xf2364000, 0x000002c6, 0x00009705, 0xf2308000,
    0x02c802c3, 0xe2005084, 0x00000b24, 0x00000400,
    0xf2364000, 0x000002ca, 0x00041605, 0xf2337000,
    0x02cc02cb, 0xf2334000, 0x02cd02c7, 0xe2390000,
    0x000002ce, 0xe2391000, 0x000002ce, 0x001ff605,
    0xe230b000, 0x02d102d0, 0xf2344000, 0x02d202cf,
    0xe2325000, 0x02c502c4, 0xf2364000, 0x000002d4,
    0xf2308000, 0x02d502d3, 0xf2001394, 0xf20012d1,
    0x00000b5c, 0x00000008, 0x00000000, 0x00000000,
    0x00012224, 0x00000b60, 0x00000b58, 0x00000001,
    0x00000000, 0x00000001, 0x00000000, 0x0000000d,
    0xf2011394, 0xe2005084, 0x00000b68, 0x00000400,
    0xf2364000, 0x000002db, 0x0000d605, 0xf23a2000,
    0x02dd02dc, 0xe2390000, 0x000002de, 0x000ff605,
    0xe230b000, 0x02e002df, 0x0006d605, 0x9230f000,
    0x02e202e1, 0xf2001394, 0xf2001251, 0x00000b90,
    0x00000004, 0x00000000, 0x00000000, 0x0000024b,
    0x00012224, 0x00000b94, 0x00000b8c, 0x00000001,
    0x00000000, 0x00000001, 0x00000000, 0x00000024,
    0xf2011394, 0xe2021394, 0x92031394, 0x00003605,
    0x00019605, 0x00005605, 0x00011705, 0xf2308000,
    0x02ed02e7, 0xe2005084, 0x00000bb8, 0x00000400,
    0xf2364000, 0x000002ef, 0x00019705, 0xf2308000,
    0x02f102e7, 0xe2005084, 0x00000bc8, 0x00000400,
    0xf2364000, 0x000002f3, 0x00041605, 0xf2337000,
    0x02f502f4, 0xf2334000, 0x02f602f0, 0x00009605,
    0xf23a2000, 0x02ec02f7, 0xe2390000, 0x000002f9,
    0xe2391000, 0x000002f9, 0x0001f605, 0xe230b000,
    0x02fc02fb, 0xf2344000, 0x02fd02fa, 0xf2337000,
    0x02f802fe, 0xe2325000, 0x02e802eb, 0xf2364000,
    0x00000300, 0xf2308000, 0x030102ff, 0xf2001851,
    0x00000c08, 0x00000010, 0x00000010, 0x00000000,
    0x50000300, 0xe8000eb4, 0x00000c0c, 0x3f800e05,
    0xe2271000, 0x030502e9, 0x000002ea, 0xe81a9000,
    0xe4000c10, 0xe5000c10, 0xe6000c10, 0x00000c18,
    0xf2001394, 0xf20012d1, 0x00000c20, 0x00000010,
    0x00000000, 0x00000000, 0x000f2224, 0x00000c24,
    0x00000c1c, 0x00000000, 0x00000000, 0x00000000,
};
